[Cluster-devel] cluster/rgmanager/init.d rgmanager

lhh at sourceware.org lhh at sourceware.org
Fri Jun 15 21:10:20 UTC 2007


CVSROOT:	/cvs/cluster
Module name:	cluster
Branch: 	RHEL5
Changes by:	lhh at sourceware.org	2007-06-15 21:10:20

Modified files:
	rgmanager/init.d: rgmanager 

Log message:
	Fix #243691

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/init.d/rgmanager.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.5&r2=1.5.2.1

--- cluster/rgmanager/init.d/rgmanager	2006/06/02 17:37:10	1.5
+++ cluster/rgmanager/init.d/rgmanager	2007/06/15 21:10:20	1.5.2.1
@@ -32,17 +32,6 @@
 LOG_NOTICE=5
 LOG_INFO=6
 
-#
-# Only root wants to run this...
-#
-[ `id -u` = 0 ] || exit 0
-
-#
-# If we're not configured, then don't start anything.
-#
-[ "${NETWORKING}" = "yes" ] || exit 0
-[ -f "$CFG_FILE" ] || exit 0
-
 
 #
 # log_and_print <level> <message>
@@ -90,9 +79,17 @@
 }
 
 
-
 case $1 in
 	start)
+		#
+		# If we're not configured, then don't start anything.
+		#
+		if [ "${NETWORKING}" != "yes" ]; then
+			echo "Cannot start $ID: Networking not configured"
+			exit 1
+		fi
+		[ -f "$CFG_FILE" ] || exit 0
+
 		echo -n $"Starting $ID: "
 		daemon $RGMGRD $RGMGR_OPTS
 		echo
@@ -141,4 +138,10 @@
 		rm -f /var/lock/subsys/rgmanager
 		log_and_print $LOG_NOTICE "$ID is stopped."
 		;;
+	*)
+		echo "usage: $0 {start|restart|condrestart|reload|status|stop}"
+		exit 1
+		;;
 esac
+
+exit 0




More information about the Cluster-devel mailing list